package lab4;

import java.io.PrintStream;
import java.net.ServerSocket;
import java.net.Socket;
import java.util.Scanner;

public class SimpleServerApp
{
	public static void main(String[] args)
	{
		try
		{
			ServerSocket server = new ServerSocket(55000);
			
			while (true)
			{
				System.out.println("Waiting for a connection ... ");
				Socket client = server.accept();
				System.out.println("Client connected ... IP = " + client.getInetAddress());
				PrintStream out = new PrintStream(client.getOutputStream(), true);
				Scanner in = new Scanner(client.getInputStream());
				String request = in.nextLine();
				String msg = "I received: " + request;
				System.out.println(msg);
				out.println(msg);
				out.close();
				in.close();
			}
			
		} catch (Exception e)
		{
			e.printStackTrace();
		}
	}
}
